Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.management
Class ServiceAdmin

    java.lang.Object
      org.apache.axis.management.ServiceAdmin

public class ServiceAdmin
extends java.lang.Object

The ServiceControl Object is responsible for starting and stopping specific services

Version:
  1.0
Author:
  bdillon

Constructor Summary
`ServiceAdmin()`

Method Summary
`static AxisServer` | `getEngine()` Get the singleton engine for this management object
`static java.util.HashMap` | `listServices()` List all registered services
`static void` | `setEngine(AxisServer axisSrv, java.lang.String name)` Set the singleton engine
`static void` | `startService(java.lang.String serviceName)` Start the Service
`static void` | `stopService(java.lang.String serviceName)` Stop the Service

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceAdmin

    public ServiceAdmin()

Method Detail

### startService

    public static void startService(java.lang.String serviceName)
                             throws AxisFault,
                                    ConfigurationException

  Start the Service

  Parameters:
    `serviceName` -
  Throws:
    `AxisFault` - ConfigurationException
    `ConfigurationException`

### stopService

    public static void stopService(java.lang.String serviceName)
                            throws AxisFault,
                                   ConfigurationException

  Stop the Service

  Parameters:
    `serviceName` -
  Throws:
    `AxisFault` - ConfigurationException
    `ConfigurationException`

### listServices

    public static java.util.HashMap listServices()
                                          throws AxisFault,
                                                 ConfigurationException

  List all registered services

  Returns:
    Map of Services (SOAPService objects, Key is the ServiceName)
  Throws:
    `AxisFault` - ConfigurationException
    `ConfigurationException`

### getEngine

    public static AxisServer getEngine()
                                throws AxisFault

  Get the singleton engine for this management object

  Returns:
  Throws:
    `AxisFault`

### setEngine

    public static void setEngine(AxisServer axisSrv,
                                 java.lang.String name)

  Set the singleton engine

  Parameters:
    `axisSrv` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.